## pgstatplans 1.1~4.git2f79792.pgdg10.4+1

=== debian/changelog ===
pgstatplans (1.1~4.git2f79792.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-pgstatplans-source-
    distribution=lucid-4, git revision
    2f79792c873b8d76eb39b38cf73d6087b831ab80)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 12 Aug 2013 18:11:12 +0200

pgstatplans (1.1) UNRELEASED; urgency=low

  * Fix Makefile and debian packaging

 -- Cédric Villemain <cedric@villemain.org>  Mon, 12 Aug 2013 16:57:49 +0200

pgstatplans (1.0beta2-1) unstable; urgency=low

  * Initial packaging

 -- Cédric Villemain <cedric@villemain.org>  Mon, 12 Nov 2012 22:07:40 +0100

## pgstatplans 1.1~4.git2f79792.pgdg12.4+1

=== debian/changelog ===
pgstatplans (1.1~4.git2f79792.pgdg12.4+1) precise-pgdg; urgency=low

  * Rebuild for precise-pgdg (jenkins-pgstatplans-source-
    distribution=precise-4, git revision
    2f79792c873b8d76eb39b38cf73d6087b831ab80)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 12 Aug 2013 18:11:16 +0200

## pgstatplans 1.1~4.git2f79792.pgdg60+1

=== debian/changelog ===
pgstatplans (1.1~4.git2f79792.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-pgstatplans-source-
    distribution=squeeze-4, git revision
    2f79792c873b8d76eb39b38cf73d6087b831ab80)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 12 Aug 2013 18:11:20 +0200

## pgstatplans 1.1~4.git2f79792.pgdg70+1

=== debian/changelog ===
pgstatplans (1.1~4.git2f79792.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-pgstatplans-source-
    distribution=wheezy-4, git revision
    2f79792c873b8d76eb39b38cf73d6087b831ab80)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 12 Aug 2013 18:11:25 +0200

## pgstatplans 1.1~4.git2f79792.pgdg+1

=== Makefile ===
EXTENSION    = pg_stat_plans
EXTVERSION   = 1.0
EXTCOMMENT   = Monitors execution costs of plans

MODULES      = $(EXTENSION)
MODULEDIR    = $(EXTENSION)
DOCS         = README.rst
DATA_built   = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--unpackaged--$(EXTVERSION).sql
REGRESS      = $(EXTENSION).ext
EXTRA_CLEAN  = $(EXTENSION).control

PG_CONFIG    = pg_config

BUILD_EXTENSION = $(shell $(PG_CONFIG) --version | grep -qE "8\.|9\.0" && echo no || echo yes)

ifeq ($(BUILD_EXTENSION),no)
DATA_built  =
DATA        = $(EXTENSION).sql uninstall_$(EXTENSION).sql
REGRESS     = $(EXTENSION)
EXTRA_CLEAN =
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Build some more files for extension support:
ifeq ($(BUILD_EXTENSION),yes)
# pgxs is included after variable definition and before targets, so the
# PostgreSQL default target is used (all:)

# build the extension--unpackaged--version.sql from uninstall_extension.sql
# this assumes that the extension was installed via sql script instead of
# CREATE EXTENSION.
# This won't upgrade from a previous version to the current one.
$(EXTENSION)--unpackaged--$(EXTVERSION).sql: uninstall_$(EXTENSION).sql
	sed 's/DROP /ALTER EXTENSION $(EXTENSION) ADD /' $< > $@

# this copy the extension.sql to extension--version.sql
$(EXTENSION)--$(EXTVERSION).sql: $(EXTENSION).sql
	cp $< $@

# this build extension.control from extension.control.in
$(EXTENSION).control: $(EXTENSION).control.in
	sed 's/EXTVERSION/$(EXTVERSION)/;s/EXTENSION/$(EXTENSION)/;s/EXTCOMMENT/$(EXTCOMMENT)/' $< > $@
endif

# Here we override targets
# Recent PostgreSQL got a bugfix about that, here we just abuse the upstream fix in the mean-time
# FIX HERE before PostgreSQL got the backpatch and push the latest minor, can remove this part when done
ifeq ($(BUILD_EXTENSION),yes)

install: all installdirs installcontrol installdata installdocs installscripts
ifdef MODULES
	$(INSTALL_SHLIB) $(addsuffix $(DLSUFFIX), $(MODULES)) '$(DESTDIR)$(pkglibdir)/'
endif # MODULES

installcontrol: $(addsuffix .control, $(EXTENSION))
ifneq (,$(EXTENSION))
	$(INSTALL_DATA) $^ '$(DESTDIR)$(datadir)/extension/'
endif

installdata: $(DATA) $(DATA_built)
ifneq (,$(DATA)$(DATA_built))
	$(INSTALL_DATA) $^ '$(DESTDIR)$(datadir)/$(datamoduledir)/'
endif

installdocs: $(DOCS)
ifdef DOCS
ifdef docdir
	$(INSTALL_DATA) $^ '$(DESTDIR)$(docdir)/$(docmoduledir)/'
endif # docdir
endif # DOCS

installscripts: $(SCRIPTS) $(SCRIPTS_built)
ifdef SCRIPTS
	$(INSTALL_SCRIPT) $^ '$(DESTDIR)$(bindir)/'
endif # SCRIPTS

installdirs:
ifneq (,$(EXTENSION))
	$(MKDIR_P) '$(DESTDIR)$(datadir)/extension'
endif
ifneq (,$(DATA)$(DATA_built))
	$(MKDIR_P) '$(DESTDIR)$(datadir)/$(datamoduledir)'
endif
ifneq (,$(MODULES))
	$(MKDIR_P) '$(DESTDIR)$(pkglibdir)'
endif
ifdef DOCS
ifdef docdir
	$(MKDIR_P) '$(DESTDIR)$(docdir)/$(docmoduledir)'
endif # docdir
endif # DOCS

endif

dist:
	git archive --prefix=$(EXTENSION)-$(EXTVERSION)/ -o ../$(EXTENSION)_$(EXTVERSION).orig.tar.gz HEAD

deb:
	make clean
	make -f debian/rules debian/control
	dh clean
	make -f debian/rules orig
	debuild -us -uc -sa

=== pg_find_plans/Makefile ===
EXTENSION    = pg_find_plans
EXTVERSION   = 1.0
EXTCOMMENT   = Tools to support searching pg_stat_plans
REQUIRES     = pg_stat_plans

MODULEDIR    = $(EXTENSION)
DOCS         = README.rst
DATA_built   = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--unpackaged--$(EXTVERSION).sql
REGRESS      = $(EXTENSION).ext
EXTRA_CLEAN  = $(EXTENSION).control

PG_CONFIG    = pg_config

BUILD_EXTENSION = $(shell $(PG_CONFIG) --version | grep -qE "8\.|9\.0" && echo no || echo yes)

ifeq ($(BUILD_EXTENSION),no)
DATA_built  =
DATA        = $(EXTENSION).sql uninstall_$(EXTENSION).sql
REGRESS     = $(EXTENSION)
EXTRA_CLEAN =
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Build some more files for extension support:
ifeq ($(BUILD_EXTENSION),yes)
# pgxs is included after variable definition and before targets, so the
# PostgreSQL default target is used (all:)

# build the extension--unpackaged--version.sql from uninstall_extension.sql
# this assumes that the extension was installed via sql script instead of
# CREATE EXTENSION.
# This won't upgrade from a previous version to the current one.
$(EXTENSION)--unpackaged--$(EXTVERSION).sql: uninstall_$(EXTENSION).sql
	sed 's/DROP /ALTER EXTENSION $(EXTENSION) ADD /' $< > $@

# this copy the extension.sql to extension--version.sql
$(EXTENSION)--$(EXTVERSION).sql: $(EXTENSION).sql
	cp $< $@

# this build extension.control from extension.control.in
$(EXTENSION).control: $(EXTENSION).control.in
	sed 's/EXTVERSION/$(EXTVERSION)/;s/EXTENSION/$(EXTENSION)/;s/EXTCOMMENT/$(EXTCOMMENT)/' $< > $@
endif

# Here we override targets
# Recent PostgreSQL got a bugfix about that, here we just abuse the upstream fix in the mean-time
# FIX HERE before PostgreSQL got the backpatch and push the latest minor, can remove this part when done
ifeq ($(BUILD_EXTENSION),yes)

install: all installdirs installcontrol installdata installdocs installscripts
	@echo overriding pgxs.mk
ifdef MODULES
	$(INSTALL_SHLIB) $(addsuffix $(DLSUFFIX), $(MODULES)) '$(DESTDIR)$(pkglibdir)/'
endif # MODULES

installcontrol: $(addsuffix .control, $(EXTENSION))
ifneq (,$(EXTENSION))
	$(INSTALL_DATA) $^ '$(DESTDIR)$(datadir)/extension/'
endif

installdata: $(DATA) $(DATA_built)
ifneq (,$(DATA)$(DATA_built))
	$(INSTALL_DATA) $^ '$(DESTDIR)$(datadir)/$(datamoduledir)/'
endif

installdocs: $(DOCS)
ifdef DOCS
ifdef docdir
	$(INSTALL_DATA) $^ '$(DESTDIR)$(docdir)/$(docmoduledir)/'
endif # docdir
endif # DOCS

installscripts: $(SCRIPTS) $(SCRIPTS_built)
ifdef SCRIPTS
	$(INSTALL_SCRIPT) $^ '$(DESTDIR)$(bindir)/'
endif # SCRIPTS

installdirs:
ifneq (,$(EXTENSION))
	$(MKDIR_P) '$(DESTDIR)$(datadir)/extension'
endif
ifneq (,$(DATA)$(DATA_built))
	$(MKDIR_P) '$(DESTDIR)$(datadir)/$(datamoduledir)'
endif
ifneq (,$(MODULES))
	$(MKDIR_P) '$(DESTDIR)$(pkglibdir)'
endif
ifdef DOCS
ifdef docdir
	$(MKDIR_P) '$(DESTDIR)$(docdir)/$(docmoduledir)'
endif # docdir
endif # DOCS

endif

dist:
	git archive --prefix=$(EXTENSION)-$(EXTVERSION)/ -o ../$(EXTENSION)_$(EXTVERSION).orig.tar.gz HEAD

deb:
	make clean
	make -f debian/rules debian/control
	dh clean
	make -f debian/rules orig
	debuild -us -uc -sa

=== debian/changelog ===
pgstatplans (1.1~4.git2f79792.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-pgstatplans-source-distribution=sid-4,
    git revision 2f79792c873b8d76eb39b38cf73d6087b831ab80)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 12 Aug 2013 18:11:09 +0200

=== pg_find_plans/debian/changelog ===
pgfindplans (1.0) UNRELEASED; urgency=low

  * Initial packaging

 -- Cédric Villemain <cedric@villemain.org>  Mon, 12 Aug 2013 16:57:49 +0200

=== debian/control ===
Source: pgstatplans
Section: database
Priority: extra
Maintainer: Cédric Villemain <cedric@villemain.org>
Build-Depends: debhelper (>= 8.9.0), postgresql-server-dev-all (>= 118)
Standards-Version: 3.9.4
Vcs-Git: git://github.com/2ndQuadrant/pg_stat_plans.git
Vcs-browser: https://github.com/2ndQuadrant/pg_stat_plans.git
Homepage: https://github.com/2ndQuadrant/pg_stat_plans

Package: postgresql-9.0-pgstatplans
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.0
Description: pg_stat_plans is a variant of the standard Postgres contrib module
 pg_stat_statements.  It differentiates between and assigns execution costs to
 plans, rather than queries.  This makes it particularly suitable for monitoring
 query planner regressions.  However, it is also suitable as a general-purpose 
 tool for understanding execution costs at both the plan and query granularity.

Package: postgresql-9.1-pgstatplans
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Description: pg_stat_plans is a variant of the standard Postgres contrib module
 pg_stat_statements.  It differentiates between and assigns execution costs to
 plans, rather than queries.  This makes it particularly suitable for monitoring
 query planner regressions.  However, it is also suitable as a general-purpose 
 tool for understanding execution costs at both the plan and query granularity.

Package: postgresql-9.2-pgstatplans
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
Description: pg_stat_plans is a variant of the standard Postgres contrib module
 pg_stat_statements.  It differentiates between and assigns execution costs to
 plans, rather than queries.  This makes it particularly suitable for monitoring
 query planner regressions.  However, it is also suitable as a general-purpose 
 tool for understanding execution costs at both the plan and query granularity.

=== pg_find_plans/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

EXTNAME = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Source:/ { print substr($$2, 2) }')
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')

SRCDIR = $(CURDIR)
TARGET = build-$(EXTNAME)-%v

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_clean: debian/control
	+pg_buildext clean $(SRCDIR) $(TARGET)
	dh_clean 

override_dh_auto_build:
	# build all supported version
	+pg_buildext build $(SRCDIR) $(TARGET)

override_dh_auto_install: 
	# then install each of them
	+pg_buildext install $(SRCDIR) $(TARGET) postgresql-%v-$(EXTNAME)

orig: clean
	git archive --prefix=$(EXTNAME)-$(PKGVERS)/ -o ../$(EXTNAME)_$(PKGVERS).orig.tar.gz HEAD

%:
	dh $@

.PHONY: debian/control
